com.thinkaurelius.titan.diskstorage

## Enum EntryMetaData

- java.lang.Object
- - java.lang.Enum<EntryMetaData>
  - - com.thinkaurelius.titan.diskstorage.EntryMetaData

- All Implemented Interfaces:
    Serializable, Comparable<EntryMetaData>

      public enum EntryMetaData
      extends Enum<EntryMetaData>

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EntryMetaData.Map`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TIMESTAMP`
    `TTL`
    `VISIBILITY`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<EntryMetaData,Object>` | `EMPTY_METADATA`
    `static List<EntryMetaData>` | `IDENTIFYING_METADATA`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getDataType()`
    `boolean` | `isIdentifying()`
    `boolean` | `isValidData(Object data)`
    `static EntryMetaData` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntryMetaData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TTL

          public static final EntryMetaData TTL

    - #### VISIBILITY

          public static final EntryMetaData VISIBILITY

    - #### TIMESTAMP

          public static final EntryMetaData TIMESTAMP

  - ### Field Detail

    - #### EMPTY_METADATA

          public static final Map<EntryMetaData,Object> EMPTY_METADATA

    - #### IDENTIFYING_METADATA

          public static final List<EntryMetaData> IDENTIFYING_METADATA

  - ### Method Detail

    - #### values

          public static EntryMetaData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntryMetaData c : EntryMetaData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntryMetaData valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDataType

          public Class getDataType()

    - #### isValidData

          public boolean isValidData(Object data)

    - #### isIdentifying

          public boolean isIdentifying()

Copyright © 2012–2014. All rights reserved.